Users

Read-only. Returns only registered users — those who have accepted an invite. Pending invitations and deactivated accounts are not returned.

Required scope: read:users

Endpoints

GET
/api/open/v1/users

List registered users (paginated). Filter: ?group_id={id}

GET
/api/open/v1/users/{id}

Get a single user

List users

curl "https://customer.monotree.com/api/open/v1/users?group_id=1&per_page=25" \
  -H "Authorization: Bearer mono_your_token_here"
Query paramNotes
group_idFilter users that belong to this group.
page, per_page, sinceStandard pagination — see Pagination.

Response

{
  "data": {
    "id": 42,
    "name": "John Doe",
    "email": "john@example.com",
    "type": "user",
    "groups": [
      { "id": 1, "name": "Kitchen Staff", "type": "department", "created_at": "2026-01-15T10:00:00+00:00" }
    ],
    "hired_at": "2025-06-01",
    "is_away": false,
    "last_active_on": "2026-03-22",
    "registered_at": "2025-06-01T09:00:00+00:00",
    "created_at": "2025-06-01T09:00:00+00:00"
  }
}